[why]
After packaging fails, a softlink will be established, but this is wrong.
If the packaging fails, the soft connection should not be established.
Signed-off-by: Sun Yukui <sun.yukui(a)foxmail.com>
---
tests/build-pkg | 28 ++++++++++++++--------------
1 file changed, 14 insertions(+), 14 deletions(-)
diff --git a/tests/build-pkg b/tests/build-pkg
index ad8d4843..093bbe4d 100755
--- a/tests/build-pkg
+++ b/tests/build-pkg
@@ -65,6 +65,19 @@ request_pkg()
[ -s PKGBUILD ] || die "PKGBUILD is empty"
}
+create_softlink()
+{
+ local soft_path="$PKG_MNT/${pack_to}/${pkgname}"
+ local bm_name=$(basename $(realpath ${cgz_name}))
+
+ if [ -n "$upstream_tag" ]; then
+ echo "create soft link: ${upstream_tag}.cgz -> ${bm_name}"
+ ln -sf "${bm_name}" "${soft_path}/${upstream_tag}.cgz"
+ fi
+
+ echo "create soft link: latest.cgz -> ${bm_name}"
+ ln -sf "${bm_name}" "${soft_path}/latest.cgz"
+}
build_source_pkg()
{
@@ -86,24 +99,11 @@ build_source_pkg()
cgz_name="$PKG_MNT/${pack_to}/${pkgname}/${upstream_commit}.cgz"
PACMAN=true BUILDDIR=$TMP CARCH=$os_arch PKGEXT=.cgz CGZDEST="$cgz_name" \
$LKP_SRC/sbin/makepkg -A --check --skippgpcheck --config $LKP_SRC/etc/makepkg.conf 2>&1
-}
-create_softlink()
-{
- local soft_path="$PKG_MNT/${pack_to}/${pkgname}"
- local bm_name=$(basename $(realpath ${cgz_name}))
-
- if [ -n "$upstream_tag" ]; then
- echo "create soft link: ${upstream_tag}.cgz -> ${bm_name}"
- ln -sf "${bm_name}" "${soft_path}/${upstream_tag}.cgz"
- fi
-
- echo "create soft link: latest.cgz -> ${bm_name}"
- ln -sf "${bm_name}" "${soft_path}/latest.cgz"
+ [ "$?" == 0 ] || create_softlink
}
check_vars
mount_dest
request_pkg
build_source_pkg
-create_softlink
--
2.23.0